Subject: Re: bug#24684: invalid command-line syntax to herd causes a kernel panic?
From: [email-masked] (Ludovic Courtès)
To: Caleb Ristvedt <[email-masked]>
Cc: [email-masked]
Date: Sun, 16 Oct 2016 15:52:43 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Caleb Ristvedt <[email-masked]> skribis:

> I should have read the man page before trying to use multiple commands at
> once, but somehow it ended up causing a kernel panic?
>
> Here's what I ran as root in tty0 (I think that's what it's called, it's
> the thing I get to by pressing ctrl + alt + f1):
>
> herd enable ntpd start ntpd

Ouch!

Fixed in Shepherd commit 9161450cb800f09ba617f456df9d2ec55ebf242b.
I’d like to prepare a Shepherd release soon with this fix, sounds
worthy…

Thanks for your report!

Ludo’.